<?xml version="1.0" encoding="UTF-8"?>
<transitions duration="600">
	<transition-event delay="300">
		<event-filter>
			<filter attribute="event_type" value="on_activation_right"/> 
		</event-filter>

		<transition>
			<tag-filter>
				<filter value="viewbar"/>
			</tag-filter>

			<orientation-filter value="portrait" />	
												
			<transition-effect xsi:type="flyInEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter>
				<filter value="viewbar"/>
			</tag-filter>

			<orientation-filter value="landscape" />
													
			<transition-effect xsi:type="flyInEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>

		<transition time-offset="30">
			<tag-filter>
				<filter value="listentrytag"/>
			</tag-filter>

			<sort>
				<value name="y" ascending="true"/>
				<value name="x" ascending="true"/>
			</sort>

			<transition-effect xsi:type="flyInEffectType">
				<x-vector direction="right"/>
			</transition-effect>
		</transition>
		
		<transition>
			<tag-filter>
				<filter value="buttonbar"/>
			</tag-filter>

			<orientation-filter value="portrait" />
																
			<transition-effect xsi:type="flyInEffectType">
				<y-vector direction="bottom"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter>
				<filter value="buttonbar"/>
			</tag-filter>

			<orientation-filter value="landscape" />
																
			<transition-effect xsi:type="flyInEffectType">
				<x-vector direction="right"/> 
			</transition-effect>
		</transition>		
		
		<transition>
			<tag-filter>
				<filter value="fade"/>
			</tag-filter>
			<transition-effect xsi:type="fadeInEffectType" />
		</transition>
	</transition-event>

	<transition-event delay="300">
		<event-filter>
			<filter attribute="event_type" value="on_activation_left"/>
		</event-filter>

		<transition>
			<tag-filter>
				<filter value="viewbar"/>
			</tag-filter>

			<orientation-filter value="portrait" />	
																		
			<transition-effect duration="300" xsi:type="flyInEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter>
				<filter value="viewbar"/>
			</tag-filter>

			<orientation-filter value="landscape" />
																			
			<transition-effect duration="300" xsi:type="flyInEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>	
	
		<transition time-offset="30">
			<tag-filter>
				<filter value="listentrytag"/>
			</tag-filter>

			<sort>
				<value name="y" ascending="true"/>
				<value name="x" ascending="true"/>
			</sort>

			<transition-effect xsi:type="flyInEffectType">
				<x-vector direction="left"/>
			</transition-effect>
		</transition>	
	
		<transition>
			<tag-filter>
				<filter value="buttonbar"/>
			</tag-filter>

			<orientation-filter value="portrait" />	
																					
			<transition-effect duration="300" xsi:type="flyInEffectType">
				<y-vector direction="bottom"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter>
				<filter value="buttonbar"/>
			</tag-filter>

			<orientation-filter value="landscape" />
																						
			<transition-effect duration="300" xsi:type="flyInEffectType">
				<x-vector direction="right"/> 
			</transition-effect>
		</transition>		
		
		<transition>
			<tag-filter>
				<filter value="fade"/>
			</tag-filter>
			<transition-effect xsi:type="fadeInEffectType" />
		</transition>
	</transition-event>

	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_deactivation_right"/>
		</event-filter>

		<transition>
			<tag-filter>
				<filter value="viewbar"/>
			</tag-filter>

			<orientation-filter value="portrait" />	
																					
			<transition-effect duration="300" xsi:type="flyOutEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter>
				<filter value="viewbar"/>
			</tag-filter>

			<orientation-filter value="landscape" />
																						
			<transition-effect duration="300" xsi:type="flyOutEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>
		
		<transition time-offset="30">
			<tag-filter>
				<filter value="listentrytag"/>
			</tag-filter>

			<sort>
				<value name="y" ascending="true"/>
				<value name="x" ascending="true"/>
			</sort>

			<transition-effect xsi:type="flyOutEffectType">
				<x-vector direction="right"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter>
				<filter value="buttonbar"/>
			</tag-filter>

			<orientation-filter value="portrait" />	
																					
			<transition-effect duration="300" xsi:type="flyOutEffectType">
				<y-vector direction="bottom"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter>
				<filter value="buttonbar"/>
			</tag-filter>

			<orientation-filter value="landscape" />
																						
			<transition-effect duration="300" xsi:type="flyOutEffectType">
				<x-vector direction="right"/> 
			</transition-effect>
		</transition>
		
		<transition>
			<tag-filter>
				<filter value="fade"/>
			</tag-filter>
			<transition-effect xsi:type="fadeOutEffectType" />
		</transition>
	</transition-event>

	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_deactivation_left"/>
		</event-filter>

		<transition>
			<tag-filter>
				<filter value="viewbar"/>
			</tag-filter>
			<orientation-filter value="portrait" />																						
			<transition-effect duration="300" xsi:type="flyOutEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter>
				<filter value="viewbar"/>
			</tag-filter>
			<orientation-filter value="landscape" />																						
			<transition-effect duration="300" xsi:type="flyOutEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>	
	
		<transition time-offset="30">
			<tag-filter>
				<filter value="listentrytag"/>
			</tag-filter>

			<sort>
				<value name="y" ascending="true"/>
				<value name="x" ascending="true"/>
			</sort>

			<transition-effect xsi:type="flyOutEffectType">
				<x-vector direction="left"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter>
				<filter value="buttonbar"/>
			</tag-filter>
			<orientation-filter value="portrait" />																						
			<transition-effect duration="300" xsi:type="flyOutEffectType">
				<y-vector direction="bottom"/>
			</transition-effect>
		</transition>	
	
		<transition>
			<tag-filter>
				<filter value="buttonbar"/>
			</tag-filter>
			<orientation-filter value="landscape" />																						
			<transition-effect duration="300" xsi:type="flyOutEffectType">
				<x-vector direction="right"/> 
			</transition-effect>
		</transition>
		
		<transition>
			<tag-filter>
				<filter value="fade"/>
			</tag-filter>
			<transition-effect xsi:type="fadeOutEffectType" />
		</transition>
	</transition-event>

	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_creation"/> 
		</event-filter>

		<tag-filter>
			<filter value="viewbar"/>
		</tag-filter>

		<transition>
			<orientation-filter value="portrait" />													
			<transition-effect duration="300" xsi:type="flyInEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>

		<transition>
			<orientation-filter value="landscape" />													
			<transition-effect duration="300" xsi:type="flyInEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>
	</transition-event>

	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_removal"/>
		</event-filter>

		<tag-filter>
			<filter value="viewbar"/>
		</tag-filter>

		<transition>
			<orientation-filter value="portrait" />																						
			<transition-effect duration="300" xsi:type="flyOutEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>

		<transition>
			<orientation-filter value="landscape" />																						
			<transition-effect duration="300" xsi:type="flyOutEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>
	</transition-event>

	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_creation" />
		</event-filter>

		<tag-filter>
			<filter value="ext_buttonbar" />
		</tag-filter>

		<orientation-filter value="portrait" />	
												
		<transition>
			<transition-effect xsi:type="growInEffectType" align="bottom" delay="0" duration="500" />
		</transition>
	</transition-event>
	
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_creation" />
		</event-filter>

		<tag-filter>
			<filter value="ext_buttonbar" />
		</tag-filter>

		<orientation-filter value="landscape" />
													
		<transition>
			<transition-effect xsi:type="growInEffectType" align="right" delay="0" duration="500" />
		</transition>
	</transition-event>
	
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_removal" />
		</event-filter>

		<tag-filter>
			<filter value="ext_buttonbar" />
		</tag-filter>

		<orientation-filter value="portrait" />	
												
		<transition>
			<transition-effect xsi:type="shrinkOutEffectType" align="bottom" delay="0" duration="500" />
		</transition>
	</transition-event>
	
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_removal" />
		</event-filter>

		<tag-filter>
			<filter value="ext_buttonbar" />
		</tag-filter>

		<orientation-filter value="landscape" />
													
		<transition>
			<transition-effect xsi:type="shrinkOutEffectType" align="right" delay="0" duration="500" />
		</transition>
	</transition-event>			
	
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_creation" />
		</event-filter>

		<tag-filter>
			<filter value="fade" />
		</tag-filter>

		<transition>
			<transition-effect xsi:type="fadeInEffectType"/>
		</transition>
	</transition-event>
	
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_removal" />
		</event-filter>

		<tag-filter>
			<filter value="fade" />
		</tag-filter>
												
		<transition>
			<transition-effect xsi:type="fadeOutEffectType"/>
		</transition>
	</transition-event>
	
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_creation" />
		</event-filter>
		
		<tag-filter>
			<filter value="comment" />
		</tag-filter>
		
		<transition>
			<transition-effect xsi:type="growInEffectType" align="right" delay="0" duration="500"/>
		</transition>
	</transition-event>
		
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_removal" />
		</event-filter>
		
		<tag-filter>
			<filter value="comment" />
		</tag-filter>
		
		<transition>
			<transition-effect xsi:type="flyOutEffectType">
				<x-vector direction="left"/>
			</transition-effect>
		</transition>
	</transition-event>		
	
	<transition-event duration="300">
		<event-filter>
			<filter attribute="event_type" value="on_position_change"/>
		</event-filter>
		
		<tag-filter>
			<filter value="listentrytag"/>
		</tag-filter>
		
		<transition>
			<transition-effect xsi:type="moveEffectType"/>
		</transition>
	</transition-event>		
	
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_data_change" />
		</event-filter>
		
		<tag-filter>
			<filter value="viewbar"/>
		</tag-filter>
		
		<transition>
			<transition-effect xsi:type="fadeOutEffectType"  delay="0" duration="500"/>
			<transition-effect xsi:type="synchronisationEffectType" delay="500" duration="1" sync-event="update_data"/>
			<transition-effect xsi:type="fadeInEffectType" delay="500" duration="500" don-not-prepare="true" />
		</transition>
	</transition-event>								
</transitions>
	
